// ovce
#include <bits/stdc++.h>

using namespace std;

int main() {
    int n; int l; cin >> n >> l;
    vector<int> h(n);
    for(int i=0; i<n; i++)cin >> h[i];

    for(int i=0; i<n; i++){
        if(l >= h[i]){
            cout << i+1 << '\n';
            return 0;
        }
    }
    cout << -1 << '\n';
    return 0;
}